Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.core.io
Class VfsUtils

    java.lang.Object
      org.springframework.core.io.VfsUtils

    public abstract class VfsUtils

extends java.lang.Object

Utility for detecting the JBoss VFS version available in the classpath. JBoss AS 5+ uses VFS 2.x (package `org.jboss.virtual`) while JBoss AS 6+ uses VFS 3.x (package `org.jboss.vfs`).

Thanks go to Marius Bogoevici for the initial patch. Note: This is an internal class and should not be used outside the framework.

Since:
  3.0.3
Author:
  Costin Leau

Field Summary
`protected static java.lang.reflect.Method` | `VIRTUAL_FILE_METHOD_VISIT`
`protected static java.lang.Class<?>` | `VIRTUAL_FILE_VISITOR_INTERFACE`

Constructor Summary
`VfsUtils()`

Method Summary
`protected static java.lang.String` | `doGetPath(java.lang.Object resource)`
`protected static java.lang.Object` | `doGetVisitorAttribute()`
`protected static java.lang.Object` | `getRoot(java.net.URL url)`
`protected static java.lang.Object` | `invokeVfsMethod(java.lang.reflect.Method method, java.lang.Object target, java.lang.Object... args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VIRTUAL_FILE_VISITOR_INTERFACE

    protected static java.lang.Class<?> VIRTUAL_FILE_VISITOR_INTERFACE

### VIRTUAL_FILE_METHOD_VISIT

    protected static java.lang.reflect.Method VIRTUAL_FILE_METHOD_VISIT

Constructor Detail

### VfsUtils

    public VfsUtils()

Method Detail

### invokeVfsMethod

    protected static java.lang.Object invokeVfsMethod(java.lang.reflect.Method method,
                                                      java.lang.Object target,
                                                      java.lang.Object... args)
                                               throws java.io.IOException

  Throws:
    `java.io.IOException`

### getRoot

    protected static java.lang.Object getRoot(java.net.URL url)
                                       throws java.io.IOException

  Throws:
    `java.io.IOException`

### doGetVisitorAttribute

    protected static java.lang.Object doGetVisitorAttribute()

### doGetPath

    protected static java.lang.String doGetPath(java.lang.Object resource)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD